org.jboss.netty.handler.codec.http.websocketx

## Class PongWebSocketFrame

- java.lang.Object
- - org.jboss.netty.handler.codec.http.websocketx.WebSocketFrame
  - - org.jboss.netty.handler.codec.http.websocketx.PongWebSocketFrame

    public class PongWebSocketFrame
    extends WebSocketFrame

Web Socket frame containing binary data

### Constructor Summary

Constructors
Constructor and Description
`PongWebSocketFrame()` Creates a new empty pong frame.
`PongWebSocketFrame(boolean finalFragment, int rsv, ChannelBuffer binaryData)` Creates a new pong frame with the specified binary data
`PongWebSocketFrame(ChannelBuffer binaryData)` Creates a new pong frame with the specified binary data.

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class org.jboss.netty.handler.codec.http.websocketx.WebSocketFrame

`getBinaryData, getRsv, isFinalFragment, setBinaryData, setFinalFragment, setRsv`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PongWebSocketFrame

    public PongWebSocketFrame()

Creates a new empty pong frame.

#### PongWebSocketFrame

    public PongWebSocketFrame(ChannelBuffer binaryData)

Creates a new pong frame with the specified binary data.

Parameters:
  `binaryData` - the content of the frame.

#### PongWebSocketFrame

    public PongWebSocketFrame(boolean finalFragment,
                      int rsv,
                      ChannelBuffer binaryData)

Creates a new pong frame with the specified binary data

Parameters:
  `finalFragment` - flag indicating if this frame is the final fragment
  `rsv` - reserved bits used for protocol extensions
  `binaryData` - the content of the frame.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`